Skip to content

updateCaseTemplate

MUTATIONupdateCaseTemplate

Cases GraphQL API · Mutations

updateCaseTemplate accepts input to update an existing auto-case template.

Arguments

Argument Type Description
input UpdateCaseTemplateInput!

Returns

CaseTemplate

Request samples

curl -X POST "https://api.taegis.sophos.com/graphql" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>" -H "Content-Type: application/json" -d "{
  \"query\": \"mutation UpdateCaseTemplate(\$input: UpdateCaseTemplateInput!) { updateCaseTemplate(input: \$input) { id createdById createdBySubject { id } createdAt updatedById updatedBySubject { id } updatedAt tenantId name title description tags } }\",
  \"variables\": {
    \"input\": {
      \"id\": \"<id>\"
    }
  }
}"

import requests

response = requests.post(
    "https://api.taegis.sophos.com/graphql",
    headers={
        "Authorization": "Bearer <access-token>",
        "X-Tenant-ID": "<tenant-id>",
        "Content-Type": "application/json",
    },
    json={   'query': 'mutation UpdateCaseTemplate($input: UpdateCaseTemplateInput!) { '
             'updateCaseTemplate(input: $input) { id createdById '
             'createdBySubject { id } createdAt updatedById updatedBySubject { '
             'id } updatedAt tenantId name title description tags } }',
    'variables': {'input': {'id': '<id>'}}},
)
print(response.json())

$headers = @{
    "Authorization" = "Bearer <access-token>"
    "X-Tenant-ID" = "<tenant-id>"
    "Content-Type" = "application/json"
}
$body = '{
  "query": "mutation UpdateCaseTemplate($input: UpdateCaseTemplateInput!) { updateCaseTemplate(input: $input) { id createdById createdBySubject { id } createdAt updatedById updatedBySubject { id } updatedAt tenantId name title description tags } }",
  "variables": {
    "input": {
      "id": "<id>"
    }
  }
}'
Invoke-RestMethod -Method POST -Uri "https://api.taegis.sophos.com/graphql" -Headers $headers -Body $body -ContentType "application/json"

package main

import (
    "fmt"
    "io"
    "net/http"
    "strings"
)

func main() {
    req, err := http.NewRequest("POST", "https://api.taegis.sophos.com/graphql", strings.NewReader(`{
  "query": "mutation UpdateCaseTemplate($input: UpdateCaseTemplateInput!) { updateCaseTemplate(input: $input) { id createdById createdBySubject { id } createdAt updatedById updatedBySubject { id } updatedAt tenantId name title description tags } }",
  "variables": {
    "input": {
      "id": "<id>"
    }
  }
}`))
    if err != nil {
        panic(err)
    }
    req.Header.Set("Authorization", "Bearer <access-token>")
    req.Header.Set("X-Tenant-ID", "<tenant-id>")
    req.Header.Set("Content-Type", "application/json")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}

const response = await fetch("https://api.taegis.sophos.com/graphql", {
  method: "POST",
  headers: {
    "Authorization": "Bearer <access-token>",
    "X-Tenant-ID": "<tenant-id>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "query": "mutation UpdateCaseTemplate($input: UpdateCaseTemplateInput!) { updateCaseTemplate(input: $input) { id createdById createdBySubject { id } createdAt updatedById updatedBySubject { id } updatedAt tenantId name title description tags } }",
  "variables": {
    "input": {
      "id": "<id>"
    }
  }
}),
});
const data = await response.json();
console.log(data);